# Overview

The script is to refresh SDK code

## Prerequisites

1. Install [Powershell 7+](https://learn.microsoft.com/shows/it-ops-talk/how-to-install-powershell-7)
2. Install [Python 3.7+](https://www.python.org/downloads/release/python-370/)
3. Install [Nodejs](https://nodejs.org/en/download/)

## Usage

Step into root folder of this repo and run cmd with sdk folder:
```powershell
D:\azure-sdk-for-python> python .\scripts\typespec_refresh_sdk\main.py .\sdk\contosowidgetmanager\azure-contosowidgetmanager
```